Bug 19952 - Advisory id RHSA-2000:087-02 no SO_TIMESTAMP
Advisory id RHSA-2000:087-02 no SO_TIMESTAMP
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
7.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Crutcher Dunnavant
Aaron Brown
:
: 19752 19908 60765 (view as bug list)
Depends On:
Blocks: 19908
  Show dependency treegraph
 
Reported: 2000-10-28 06:14 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-24 00:28:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-28 06:14:32 EDT
graped the iputils update and installed from source and from the RPM. Both 
seems to have an error. 

output:

[root@LNX Drikus]# ping www.zonnet.nl
Warning: no SO_TIMESTAMP support, falling back to SIOCGSTAMP
PING www.zonnet.nl (212.48.41.29) from 212.204.151.173 : 56(84) bytes of 
data.
64 bytes from www.zonnet.nl (212.48.41.29): icmp_seq=0 ttl=50 time=42.244 
msec
64 bytes from www.zonnet.nl (212.48.41.29): icmp_seq=1 ttl=50 time=29.114 
msec.

ICMP requests seems to terribly slow & buggy.
Comment 1 Pekka Savola 2000-10-28 10:55:23 EDT
You're running a 386/486 system (without TSC, grep flags /proc/cpuinfo).  There is an issue
with kernel using faster timestamping (and RTT calculation) option.  It's now automatically
disabled.  See /usr/share/doc/iputils*/RELNOTES.

Without this, you might get negative RTT values.

The warning _could_ be more informative, I suppose..

Comment 2 Need Real Name 2000-10-28 13:30:39 EDT
Eh could you elaborate on this (without TSC, grep flags /proc/cpuinfo).As far 
as I know, and beleive me that isn't much ;-), I build the 2.2.17 kernel on a 
686 with proc/ filesystem support and with egcs, optimzed with CFLAGS=-O9 -
funroll-loops -ffast-math -malign-double -mcpu=pentiumpro -march=pentiumpro -
fomit-frame-pointer -fno-exceptions. Are those optimizations causing the 
timestamping errors?   

Comment 3 Pekka Savola 2000-10-28 13:35:20 EDT
What does 'grep flags /proc/cpuinfo' tell?

For me, its:

$ grep flags /proc/cpuinfo 
flags           : fpu vme de pse tsc msr mce cx8 sep mtrr pge mmx 3dnow

if there's tsc in it, the situation _should_ be good.  If it still isn't, there's some new in here..
Comment 4 Need Real Name 2000-10-28 13:41:35 EDT
Output:

flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov mmx

As you can see it's right there.

Comment 5 Pekka Savola 2000-10-28 14:02:19 EDT
Can you try without kernel optimizations if ping would still issue the warning?
Comment 6 Need Real Name 2000-10-28 14:19:29 EDT
Upgraded RH 6.2 to 7 yesterday, altough I didn't ask for, after upgrading there 
was a standard kernel lying around 2.2.16-22. Booted with this kernel en 
compiled the iputils once again from source. 

Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.94256
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd /usr/src/redhat/BUILD
+ rm -rf iputils
+ /bin/gzip -dc /usr/src/redhat/SOURCES/iputils-ss001010.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd iputils
+ /bin/gzip -dc /usr/src/redhat/SOURCES/bonding-0.2.tar.gz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,g-w,o-w .
+ rm -f bonding-0.2/ifenslave
+ mv -f bonding-0.2/README bonding-0.2/README.ifenslave
+ echo 'Patch #0 (ping-deadline.patch):'
Patch #0 (ping-deadline.patch):
+ patch -p1 -b --suffix .deadline -s
+ echo 'Patch #7 (iputils-20001007-rh7.patch):'
Patch #7 (iputils-20001007-rh7.patch):
+ patch -p1 -b --suffix .rh7 -s
+ echo 'Patch #8 (iputils-20001010-bug16677.patch):'
Patch #8 (iputils-20001010-bug16677.patch):
+ patch -p1 -b --suffix .bug16677 -s
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.94256
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd iputils
+ make
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include      tracepath.c  -lresolv -o tracepath
tracepath.c: In function `main':
tracepath.c:299: warning: `res' might be used uninitialized in this function
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include      ping.c  -lresolv -o ping
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include      clockdiff.c  -lresolv -o clockdiff
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include      rdisc.c  -lresolv -o rdisc
rdisc.c: In function `prusage':
rdisc.c:235: warning: implicit declaration of function `exit'
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include      arping.c  -lresolv -o arping
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include     -c -o tftpd.o tftpd.c
tftpd.c: In function `main':
tftpd.c:147: warning: `pid' might be used uninitialized in this function
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include     -c -o tftpsubs.o tftpsubs.c
gcc   tftpd.o tftpsubs.o  -lresolv -o tftpd
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include      tracepath6.c  -lresolv -o tracepath6
tracepath6.c: In function `main':
tracepath6.c:318: warning: `res' might be used uninitialized in this function
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include      traceroute6.c  -lresolv -o traceroute6
gcc -O2 -Wall -g -Iinclude-glibc -include include-glibc/glibc-bugs.h -
I../include      ping6.c  -lresolv -o ping6
+ make ifenslave -C bonding-0.2
make: Entering directory `/usr/src/redhat/BUILD/iputils/bonding-0.2'
cc     ifenslave.c   -o ifenslave
make: Leaving directory `/usr/src/redhat/BUILD/iputils/bonding-0.2'
+ exit 0
Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.28380
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd iputils
+ rm -rf /var/tmp/iputils-root
+ mkdir -p /var/tmp/iputils-root/usr/sbin
+ mkdir -p /var/tmp/iputils-root/bin /var/tmp/iputils-root/sbin
+ install -c arping /var/tmp/iputils-root/usr/sbin/
+ install -c clockdiff /var/tmp/iputils-root/usr/sbin/
+ install -c ping /var/tmp/iputils-root/bin/
+ install -c bonding-0.2/ifenslave /var/tmp/iputils-root/sbin/
+ install -c ping6 /var/tmp/iputils-root/usr/sbin/
+ install -c rdisc /var/tmp/iputils-root/usr/sbin/
+ install -c tracepath /var/tmp/iputils-root/usr/sbin/
+ install -c tracepath6 /var/tmp/iputils-root/usr/sbin/
+ install -c traceroute6 /var/tmp/iputils-root/usr/sbin/
+ mkdir -p /var/tmp/iputils-root/usr/share/man/man8
+ install -c arping.8 /var/tmp/iputils-root/usr/share/man/man8/
+ install -c clockdiff.8 /var/tmp/iputils-root/usr/share/man/man8/
+ install -c in.rdisc.8c /var/tmp/iputils-root/usr/share/man/man8/in.rdisc.8
+ install -c ping.8 /var/tmp/iputils-root/usr/share/man/man8/
+ install -c tracepath.8 /var/tmp/iputils-root/usr/share/man/man8/
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip
+ /usr/lib/rpm/brp-strip-comment-note
Processing files: iputils-20001010-1
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.21637
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd iputils
+ DOCDIR=/var/tmp/iputils-root/usr/share/doc/iputils-20001010
+ export DOCDIR
+ rm -rf /var/tmp/iputils-root/usr/share/doc/iputils-20001010
+ /bin/mkdir -p /var/tmp/iputils-root/usr/share/doc/iputils-20001010
+ cp -pr README RELNOTES bonding-0.2/README.ifenslave /var/tmp/iputils-
root/usr/share/doc/iputils-20001010
+ exit 0
Finding  Provides: (using /usr/lib/rpm/find-provides)...
Finding  Requires: (using /usr/lib/rpm/find-requires)...
PreReq: rpmlib(PayloadFilesHavePrefix) <= 4.0-1
Requires: ld-linux.so.2 libc.so.6 libresolv.so.2 libc.so.6(GLIBC_2.0) libc.so.6
(GLIBC_2.1) libc.so.6(GLIBC_2.1.3)
Wrote: /usr/src/redhat/SRPMS/iputils-20001010-1.src.rpm
Wrote: /usr/src/redhat/RPMS/i386/iputils-20001010-1.i386.rpm
Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.56033
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd iputils
+ rm -rf /var/tmp/iputils-root
+ exit 0
[root@LNX SPECS]# cd /usr/src/
[root@LNX src]# cd redhat/
[root@LNX redhat]# ls
BUILD  RPMS  SOURCES  SPECS  SRPMS
[root@LNX redhat]# cd RPMS
[root@LNX RPMS]# ls
athlon  i386  i486  i586  i686  noarch
[root@LNX RPMS]# cd i386
[root@LNX i386]# ls
iputils-20001010-1.i386.rpm
[root@LNX i386]# rpm -Uvh iputils-20001010-1.i386.rpm 
iputils                     ##################################################
[root@LNX i386]# ping www.zonnet.nl
Warning: no SO_TIMESTAMP support, falling back to SIOCGSTAMP
PING www.zonnet.nl (212.48.41.29) from 212.204.151.173 : 56(84) bytes of data.
64 bytes from www.zonnet.nl (212.48.41.29): icmp_seq=0 ttl=50 time=23.738 msec

No effect at all, only what are those warnings about?
Comment 7 Pekka Savola 2000-10-28 14:29:28 EDT
It's just a warning that older timestamping is being used, which will show slightly bigger RTT's.

You _could_ try w/ slightly older build of iputils (0928, for example) from http://ftp.sunet.se/pub/os/Linux/ip-routing/
to see if you get negative RTT times.  However, that require'd require some patching wrt. glibc22.
Comment 8 Need Real Name 2000-10-28 15:20:46 EDT
First of all I upgraded the iputils because RH recommended the upgrade. It 
seems to me that errors at mine config begins after release 000418 when 
SO_TIMESTAMP support was introduced. Tried the tarbals 0928/1007/1011 but gave 
me all kinds of compile error's. 0418 is working fine and I can live with that, 
altough I find it suprising that I'am the 'only' one who reports this 
prob/warning. I can live with a warning and indeed all functions seem to work 
accordingly, but it would me more cosmetic to supress that warning if it 
functions OK. The reason for that is that I use some simple ping scripts wich 
checks some ip connections and cron is giving me a alarm messages every ten 
minutes cron starts the script. 

Tanks for your time and input 

/Robert
Comment 9 Henri Schlereth 2000-11-22 18:41:57 EST
Re: Warning: no SO_TIMESTAMP support falling back to SIOGSTAMP
cat /proc/cpuinfo <snip> flags           : fpu vme de pse tsc msr mce cx8 

To make Robert's life easier I will confim that I also get this message. I installed RH7 <server> on a 586 24MB memory and
applied all updates including the 1010 iputils. So he is not alone in this.

Henri J. Schlereth
Comment 10 Pekka Savola 2000-11-22 18:51:05 EST
Now that you mention it, I've seen this on one or two other systems 
(where this shouldn't happen).  One such was P2/400 with the following:

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 5
model name      : Pentium II (Deschutes)
stepping        : 1
cpu MHz         : 400.916
[snip]
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat pse36 mmx fxsr
Comment 11 Need Real Name 2000-11-23 17:58:13 EST
did some research and I found out that SO_TIMESTAMP is not supported with the 
2.2.17 or the 2.2.16-22 RH7 kernel (include/asm-i386/socket.h) Is this the 
reason for the warning messages or am I overlooking something ? 

If so are there some patches for the 2.2.17 kernel and where can I find them ?

Comment 12 Bill Nottingham 2000-11-24 00:28:06 EST
*** Bug 19908 has been marked as a duplicate of this bug. ***
Comment 13 Bill Nottingham 2000-11-24 00:28:55 EST
It's supported in the 2.4 kernel. It's just a warning; the 2.4
option is preferred by ping if it's available.
Comment 14 Need Real Name 2000-12-15 00:44:22 EST
robert,

i am also having the same problem with my ping scripts.

to fix i have just redirected the error to /dev/null:

ping www.redhat.com 2> /dev/null
Comment 15 dh_redhat 2001-01-21 16:48:21 EST
Same problem here. This warning is annoying and it should be taken out. If the
feature is not supported by the 2.2.16 or 2.2.17 kernels, then ping should
quietly ignore it without the warning. Is there a patch planned for this?

processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 1
model name      : Pentium Pro
stepping        : 9
cpu MHz         : 199.436
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
sep_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov
bogomips        : 398.13
Comment 16 Raul Acevedo 2001-01-23 03:15:02 EST
What is the resolution for this bug?  I get the same thing.

# rpm -q kernel
kernel-2.2.16-22
# more /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 5
model name      : Pentium II (Deschutes)
stepping        : 1
cpu MHz         : 398.276
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
sep_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov pat p
se36 mmx fxsr
bogomips        : 794.62
Comment 17 Pekka Savola 2001-01-23 04:13:13 EST
Two separate issues.  This won't work with:
 1) 486's or the like (intentional)
 2) 2.2.16-22 or newer _2.2_ branch kernels (unintentional)

No fix yet AFAIK.  Not that it's really that critical.  The error message is a
bit
bothersome though.


Comment 18 Phil Knirsch 2001-06-16 10:49:23 EDT
*** Bug 19752 has been marked as a duplicate of this bug. ***
Comment 19 Phil Knirsch 2002-03-07 10:26:15 EST
*** Bug 60765 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.